Question Authors' Forum

A forum for users to request help on writing CodeRunner questions or to exchange ideas for new question types.


Page: 1 2 ()
DiscussionStarted byRepliesLast post
Error from the sandbox [jobesandbox]: Picture of Paul MartinPaul Martin 1 Richard Lobb
Sat, 20 Oct 2018, 8:05 AM
Simple NodeJS Example Picture of Mark TyersMark Tyers 1 Richard Lobb
Tue, 2 Oct 2018, 11:10 AM
Type of output - Python Picture of Yess UYess U 5 Yess U
Sat, 29 Sep 2018, 1:00 PM
Writing Java_program test case Picture of Shankar JhaShankar Jha 4 Shankar Jha
Thu, 27 Sep 2018, 10:52 PM
Adding Prolog in Coderunner Picture of Utpal DasUtpal Das 3 Richard Lobb
Sun, 16 Sep 2018, 10:08 PM
how to run a simple script (not function) Picture of miki dreammiki dream 1 Richard Lobb
Tue, 4 Sep 2018, 10:38 PM
Java questions Picture of Richard LobbRichard Lobb 3 Utpal Das
Wed, 22 Aug 2018, 5:14 PM
Bulk test output Tim at Lone Pine Koala SanctuaryTim Hunt 1 Richard Lobb
Mon, 13 Aug 2018, 11:06 PM
Editor Issue Picture of Patrick WangPatrick Wang 6 Richard Lobb
Sat, 28 Jul 2018, 11:47 AM
Version 3.5.0 Released Picture of Richard LobbRichard Lobb 0 Richard Lobb
Sat, 28 Jul 2018, 11:33 AM
upgrade from 1.5 beta Picture of Paul MartinPaul Martin 5 Richard Lobb
Fri, 20 Jul 2018, 8:27 AM
Question with a random variable Picture of Pascal VeronPascal Veron 9 C Daly
Sun, 15 Jul 2018, 5:40 AM
Answer with php code : can I bypass the mandatory php tags? Picture of benoit dartiesbenoit darties 2 Richard Lobb
Thu, 5 Jul 2018, 10:18 PM
Programming statistics in R Picture of Chris SangwinChris Sangwin 10 Richard Lobb
Fri, 22 Jun 2018, 3:45 PM
Test for closing of files Picture of Frieder LochFrieder Loch 0 Frieder Loch
Wed, 20 Jun 2018, 11:22 PM
File upload/submission question type Picture of Trent LewisTrent Lewis 12 Richard Lobb
Tue, 19 Jun 2018, 10:09 AM
"Bad result object {}" Picture of Paul MartinPaul Martin 6 Paul Martin
Wed, 13 Jun 2018, 10:12 PM
Issues with newlines in feedback Picture of Jaco GeldenhuysJaco Geldenhuys 3 Richard Lobb
Wed, 13 Jun 2018, 9:23 PM
Plugin doesn't connect to jobe server Picture of Wilfried BaumannWilfried Baumann 12 Wilfried Baumann
Mon, 28 May 2018, 11:05 PM
Let students pass their own command line arguments Picture of Frieder LochFrieder Loch 2 Frieder Loch
Mon, 28 May 2018, 8:39 PM
Problem with special chars(ñ) in Python of SQL Questions Picture of Sergi GarcíaSergi García 6 Richard Lobb
Sat, 26 May 2018, 7:32 PM
Object-oriented code-runner in Octave? Picture of Angus WallaceAngus Wallace 12 Angus Wallace
Thu, 24 May 2018, 1:17 PM
Announcing CodeRunner V3.4.0 Picture of Richard LobbRichard Lobb 4 Richard Lobb
Sat, 12 May 2018, 11:26 AM
CodeRunner V3.3.0 released Picture of Richard LobbRichard Lobb 9 Martin Zwerschke
Sat, 12 May 2018, 1:35 AM
text-match submissions Picture of Angus WallaceAngus Wallace 3 Angus Wallace
Mon, 30 Apr 2018, 3:49 PM
Random tests Picture of Stephen ParryStephen Parry 6 Richard Lobb
Sat, 28 Apr 2018, 9:28 PM
Testing for 4 possible outputs? Picture of Estelle AshmanEstelle Ashman 2 Richard Lobb
Fri, 27 Apr 2018, 9:30 PM
Jobe update Picture of Richard LobbRichard Lobb 2 Richard Lobb
Tue, 17 Apr 2018, 2:02 PM
How to make java program question run once for multiple test cases with standard inputs Picture of Mohammad OghliMohammad Oghli 3 Richard Lobb
Fri, 30 Mar 2018, 7:59 PM
Question batch import into the question bank Picture of 贺 李贺 李 1 Richard Lobb
Fri, 30 Mar 2018, 7:07 PM
C++ compiler errors don't show when needed Picture of Gabe JohnsonGabe Johnson 2 Gabe Johnson
Tue, 27 Mar 2018, 5:15 PM
Run Assembly Code ? Picture of can ozcan oz 1 Richard Lobb
Fri, 16 Mar 2018, 10:16 PM
Matlab function test framework Picture of Angus WallaceAngus Wallace 4 Richard Lobb
Thu, 15 Mar 2018, 7:18 AM
Matlab Picture of Kristy HansenKristy Hansen 18 Angus Wallace
Mon, 12 Feb 2018, 10:08 PM
CodeRunner 3.3.0 Release Candidate (your chance to help!) Picture of Richard LobbRichard Lobb 2 Richard Lobb
Fri, 9 Feb 2018, 8:45 AM
time limit exceeded Picture of Anton DilAnton Dil 2 Anton Dil
Mon, 5 Feb 2018, 10:30 PM
unshare: unshare failed: Operation not permitted Picture of Paul MartinPaul Martin 1 Richard Lobb
Tue, 23 Jan 2018, 8:01 AM
Running C# in CodeRunner Picture of Richard LobbRichard Lobb 10 Richard Lobb
Sun, 21 Jan 2018, 9:11 PM
Error when creating questions with a new custom question type Picture of James BryanJames Bryan 3 James Bryan
Sat, 20 Jan 2018, 2:09 PM
My Language Picture of John PapJohn Pap 11 Richard Lobb
Fri, 19 Jan 2018, 10:45 AM
Should students be penalised when the JOBE server is offline? Tim at Lone Pine Koala SanctuaryTim Hunt 5 Martin Zwerschke
Mon, 8 Jan 2018, 12:09 AM
Issues with the "Check" Button Picture of James BryanJames Bryan 10 Richard Lobb
Mon, 1 Jan 2018, 5:38 PM
CodeRunner problem in checking specific question type options Picture of Mohammad OghliMohammad Oghli 3 Richard Lobb
Sun, 24 Dec 2017, 4:54 PM
Show (run) testcases until one of them fails? Picture of Sergi GarcíaSergi García 4 Sergi García
Sat, 9 Dec 2017, 12:22 AM
Script to do an stress test of JOBE? Picture of Sergi GarcíaSergi García 2 Sergi García
Tue, 5 Dec 2017, 7:04 AM
-parameters flag for Java Picture of Anton DilAnton Dil 5 Anton Dil
Fri, 1 Dec 2017, 3:27 AM
Problem with results in SQL Questions: output "incomplete" Picture of Sergi GarcíaSergi García 7 Sergi García
Fri, 10 Nov 2017, 11:58 PM
Running SQL in CodeRunner Picture of Patrick WangPatrick Wang 8 Trent Lewis
Thu, 9 Nov 2017, 3:05 PM
Stop testing after compiling error Picture of Vladimir IlyinVladimir Ilyin 1 Richard Lobb
Tue, 7 Nov 2017, 10:16 AM
can't solve it Picture of Rudranil DasRudranil Das 1 Richard Lobb
Mon, 6 Nov 2017, 2:29 PM
custom checking C/C++ program student answer Picture of Abhinav DayalAbhinav Dayal 1 Richard Lobb
Mon, 30 Oct 2017, 6:01 PM
Access to questions repository? Picture of Sergi GarcíaSergi García 2 Sergi García
Wed, 25 Oct 2017, 5:27 AM
Disable Paste Picture of Vishnu LearningVishnu Learning 0 Vishnu Learning
Sun, 8 Oct 2017, 12:59 AM
Checking error Picture of Vladimir IlyinVladimir Ilyin 8 Vladimir Ilyin
Mon, 25 Sep 2017, 7:04 AM
C++ Picture of Stefan SimicStefan Simic 1 Richard Lobb
Wed, 20 Sep 2017, 8:01 PM
Hide and Hide rest Picture of Vladimir IlyinVladimir Ilyin 2 Vladimir Ilyin
Sun, 17 Sep 2017, 9:48 PM
sample for php and javascript question Picture of jupa pomajupa poma 15 Richard Lobb
Tue, 12 Sep 2017, 11:09 PM
First try Picture of Stefan SimicStefan Simic 1 Richard Lobb
Sun, 10 Sep 2017, 10:06 PM
Multilingual questions Picture of Vladimir IlyinVladimir Ilyin 5 Richard Lobb
Tue, 29 Aug 2017, 10:10 AM
resetting the pre-loaded answer Picture of Michel WermelingerMichel Wermelinger 1 Richard Lobb
Fri, 25 Aug 2017, 11:42 AM
calling JOBE server by Https-link Picture of Thor PfostenThor Pfosten 0 Thor Pfosten
Thu, 24 Aug 2017, 9:05 PM
Importing non-standard python modules Picture of Nick SavillNick Savill 1 Richard Lobb
Wed, 23 Aug 2017, 3:17 PM
Sample Python Question Picture of chris makerchris maker 1 Tim Hunt
Tue, 8 Aug 2017, 9:49 PM
Using libraries like math etc. for C / C++ Picture of Vishnu LearningVishnu Learning 1 Richard Lobb
Sun, 6 Aug 2017, 10:44 AM
HTML CSS Javascript Picture of Sam SureshSam Suresh 10 Ismael Figueroa
Thu, 22 Jun 2017, 3:00 AM
Version 3.1.5 released Picture of Richard LobbRichard Lobb 0 Richard Lobb
Wed, 31 May 2017, 12:56 PM
Can the grader be sidestepped? Picture of Michel WermelingerMichel Wermelinger 1 Richard Lobb
Mon, 15 May 2017, 12:12 PM
Python Turtle Drawing Picture of Patrick WangPatrick Wang 2 Patrick Wang
Fri, 28 Apr 2017, 1:45 PM
Error while testing Picture of miki Allielmiki Alliel 4 Richard Lobb
Thu, 20 Apr 2017, 8:20 AM
Java: Error occurred during initialization of VM Picture of Sayee KrishnanSayee Krishnan 3 clint welbar
Tue, 18 Apr 2017, 6:36 PM
Python 3 construct check Picture of M MM M 1 Richard Lobb
Tue, 21 Mar 2017, 10:05 PM
Result of some CodeRunner security testing Tim at Lone Pine Koala SanctuaryTim Hunt 1 Richard Lobb
Wed, 8 Mar 2017, 10:07 PM
Code highliting Picture of Anna PolańskaAnna Polańska 2 Anna Polańska
Thu, 23 Feb 2017, 9:03 PM
CodeRunner workshop at Edinburgh UK in April Picture of Richard LobbRichard Lobb 0 Richard Lobb
Wed, 1 Feb 2017, 5:14 PM
Java questions Picture of Anton DilAnton Dil 9 Sayee Krishnan
Wed, 25 Jan 2017, 10:18 PM
Invalid questions not saved Picture of Michel WermelingerMichel Wermelinger 3 Richard Lobb
Tue, 10 Jan 2017, 10:04 AM
CodeRunner V3.1 released Picture of Richard LobbRichard Lobb 0 Richard Lobb
Mon, 9 Jan 2017, 4:07 PM
Quiz setting "each attempt builds on last" for Code Runner Picture of Nils PromerNils Promer 3 Nils Promer
Thu, 5 Jan 2017, 8:54 PM
Pb installing Code runner python 3 exemples Picture of Nicolas MNicolas M 1 Richard Lobb
Thu, 8 Dec 2016, 7:44 AM
Code profiling feedback Picture of Chris SangwinChris Sangwin 3 Richard Lobb
Thu, 1 Dec 2016, 9:19 PM
How does CodeRunner know which languages are installed in the JOBE sandbox? Tim at Lone Pine Koala SanctuaryTim Hunt 3 Richard Lobb
Thu, 1 Dec 2016, 8:08 PM
Load-balancing the JOBE sandbox Tim at Lone Pine Koala SanctuaryTim Hunt 2 Tim Hunt
Thu, 1 Dec 2016, 7:16 AM
Regular expression flavor? Picture of Miguel RubioMiguel Rubio 2 Miguel Rubio
Tue, 29 Nov 2016, 5:13 AM
Java packages Picture of Peter SanderPeter Sander 12 Richard Lobb
Mon, 28 Nov 2016, 9:39 AM
Increase Java code answer testing speed Picture of Patrick WangPatrick Wang 7 Richard Lobb
Thu, 17 Nov 2016, 4:11 PM
Some feedback from the front lines Picture of Peter SanderPeter Sander 5 Peter Sander
Thu, 17 Nov 2016, 12:23 AM
Pretests Picture of Vladimir IlyinVladimir Ilyin 13 Richard Lobb
Thu, 10 Nov 2016, 9:00 AM
What's in the pipeline? Picture of Richard LobbRichard Lobb 0 Richard Lobb
Wed, 9 Nov 2016, 9:30 PM
Accessibility of CodeRunner Tim at Lone Pine Koala SanctuaryTim Hunt 0 Tim Hunt
Tue, 8 Nov 2016, 6:05 AM
Java security Picture of Vladimir IlyinVladimir Ilyin 5 Vladimir Ilyin
Tue, 8 Nov 2016, 4:12 AM
Java Question on code conversion Picture of Patrick WangPatrick Wang 2 Patrick Wang
Mon, 7 Nov 2016, 3:03 PM
Jobe memory limits Picture of Vladimir IlyinVladimir Ilyin 2 Vladimir Ilyin
Sun, 2 Oct 2016, 6:02 AM
"Connection Reset" error from outside network Picture of Ismael FigueroaIsmael Figueroa 10 Ismael Figueroa
Sun, 18 Sep 2016, 10:22 AM
Java method with state Picture of Peter SanderPeter Sander 0 Peter Sander
Wed, 7 Sep 2016, 6:17 AM
Input and output Picture of Carl MooneyCarl Mooney 1 Richard Lobb
Mon, 5 Sep 2016, 5:27 PM
CodeRunner 3.0.1 Picture of Richard LobbRichard Lobb 0 Richard Lobb
Thu, 21 Jul 2016, 10:49 AM
Creating my own result columns Picture of Heli VirtanenHeli Virtanen 1 Richard Lobb
Fri, 1 Jul 2016, 12:30 PM
Repository of questions Picture of Willie SmitWillie Smit 1 Richard Lobb
Sat, 25 Jun 2016, 8:50 PM
How to add "Check" button to CodeRunner question? Picture of Dien Duong LuDien Duong Lu 4 Dien Duong Lu
Fri, 3 Jun 2016, 1:35 AM
SQL and CodeRunner Picture of Trent LewisTrent Lewis 0 Trent Lewis
Fri, 6 May 2016, 11:53 AM
Page: 1 2 ()